package com.ruoyi.system.service.projectV2;

import java.util.List;
import com.ruoyi.system.domain.projectV2.ZsyzWczs;

/**
 * 招商引资_外出招商Service接口
 * 
 * @author ruoyi
 * @date 2023-03-16
 */
public interface IZsyzWczsService 
{
    /**
     * 查询招商引资_外出招商
     * 
     * @param id 招商引资_外出招商主键
     * @return 招商引资_外出招商
     */
    public ZsyzWczs selectZsyzWczsById(Long id);

    /**
     * 查询招商引资_外出招商列表
     * 
     * @param zsyzWczs 招商引资_外出招商
     * @return 招商引资_外出招商集合
     */
    public List<ZsyzWczs> selectZsyzWczsList(ZsyzWczs zsyzWczs);

    /**
     * 新增招商引资_外出招商
     * 
     * @param zsyzWczs 招商引资_外出招商
     * @return 结果
     */
    public int insertZsyzWczs(ZsyzWczs zsyzWczs);

    /**
     * 修改招商引资_外出招商
     * 
     * @param zsyzWczs 招商引资_外出招商
     * @return 结果
     */
    public int updateZsyzWczs(ZsyzWczs zsyzWczs);

    /**
     * 批量删除招商引资_外出招商
     * 
     * @param ids 需要删除的招商引资_外出招商主键集合
     * @return 结果
     */
    public int deleteZsyzWczsByIds(Long[] ids);

    /**
     * 删除招商引资_外出招商信息
     * 
     * @param id 招商引资_外出招商主键
     * @return 结果
     */
    public int deleteZsyzWczsById(Long id);
}
